| GET | /api/ledger/detail/1a |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| PeriodType | query | PeriodType | No | Loại kỳ kế toán (1: Monthly, 2: Quarterly). Măc định là Monthly |
| PeriodYear | query | int | Yes | Năm kế toán (VD: 2026) |
| PeriodValue | query | int | Yes | Giá trị kỳ (Tháng: 1–12, Quý: 1–4) |
| IsFullData | query | bool | No | Lấy toàn bộ dữ liệu hay chỉ dữ liệu phát sinh (true = full) |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Orderby | form | string | No | |
| Select | form | string | No | |
| Filter | form | string | No | |
| Skip | form | int? | No | |
| Top | form | int? | No |
| Name | Value | |
|---|---|---|
| Monthly | 1 | enum_Monthly |
| Quarterly | 2 | enum_Quarterly |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Count | form | int | No | |
| Results | form | IList<T> | No | |
| Filter | form | Object | No | |
| Context | form | Object | No | |
| Summary | form | Object | No | |
| Timestamp | form | DateTime | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /api/ledger/detail/1a HTTP/1.1 Host: api.pos365.vn Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
__count: 0,
filter: {},
context: {},
summary: {},
timestamp: 0001-01-01
}